
drop table if exists `file_alias`;

create table if not exists `file_alias` (
    `file_id` INT UNSIGNED NOT NULL,
    `alias_id` INT UNSIGNED NOT NULL,
    PRIMARY KEY (`file_id`, `alias_id`),
    INDEX `fk_file_alias_file_idx` (`file_id` ASC),
    INDEX `fk_file_alias_alias_idx` (`alias_id` ASC),
    CONSTRAINT `fk_file_alias_alias`
        FOREIGN KEY (`alias_id`)
        REFERENCES `alias` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION,
    CONSTRAINT `fk_file_alias_file`
        FOREIGN KEY (`file_id`)
        REFERENCES `file` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION
);

-- show table result
describe `file_alias`;
SELECT * FROM `file_alias` LIMIT 1000;