alter table `workspace_recipe_shared_user` 
    drop foreign key `fk_workspace_recipe_shared_user_workspace_recipe`;
alter table `workspace_recipe` 
    drop foreign key `fk_workspace_recipe_workspace`;
alter table `workspace_recipe` 
    drop foreign key `fk_workspace_recipe_recipe`;

DROP TABLE IF EXISTS `workspace_recipe`;

CREATE TABLE IF NOT EXISTS `workspace_recipe`
(
  `workspace_id` INT UNSIGNED NOT NULL,
  `recipe_id` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`workspace_id`, `recipe_id`),
  INDEX `fk_workspace_recipe_recipe_idx` (`recipe_id` ASC),
  INDEX `fk_workspace_recipe_workspace_idx` (`workspace_id` ASC),
  CONSTRAINT `fk_workspace_recipe_workspace`
    FOREIGN KEY (`workspace_id`)
    REFERENCES `workspace` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_workspace_recipe_recipe`
    FOREIGN KEY (`recipe_id`)
    REFERENCES `recipe` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
);

-- create default recipe workspace
INSERT INTO `workspace` (`id`, `user_id`, `name`, `comments`) 
values (2, 1, 'all recipes', 'default recipes workspace');
INSERT INTO `workspace_group_workspace` (`workspace_group_id`, `workspace_id`)
   values (1, 2);

-- add all existing recipes in default recipe workspace
INSERT INTO `workspace_recipe` (`workspace_id`, `recipe_id`)
  SELECT 2, `id` from `recipe`;

describe `workspace_recipe`;
SELECT * FROM `workspace_recipe` LIMIT 1000;